com.independentsoft.exchange

## Class ConversationRequest

- java.lang.Object
- - com.independentsoft.exchange.ConversationRequest

-     public class ConversationRequest
      extends java.lang.Object

  The Class ConversationRequest.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConversationRequest()` Instantiates a new conversation request.
    `ConversationRequest(ItemId conversationId)` Instantiates a new conversation request.
    `ConversationRequest(ItemId conversationId, java.lang.String syncState)` Instantiates a new conversation request.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ItemId` | `getConversationId()` Gets the conversation id.
    `java.lang.String` | `getSyncState()` Gets the sync state.
    `void` | `setConversationId(ItemId conversationId)` Sets the conversation id.
    `void` | `setSyncState(java.lang.String syncState)` Sets the sync state.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConversationRequest

          public ConversationRequest()

      Instantiates a new conversation request.

    - #### ConversationRequest

          public ConversationRequest(ItemId conversationId)

      Instantiates a new conversation request.
      Parameters:
        `conversationId` - the conversation id

    - #### ConversationRequest

          public ConversationRequest(ItemId conversationId,
                                     java.lang.String syncState)

      Instantiates a new conversation request.
      Parameters:
        `conversationId` - the conversation id
        `syncState` - the sync state

  - ### Method Detail

    - #### getConversationId

          public ItemId getConversationId()

      Gets the conversation id.
      Returns:
        the conversation id

    - #### setConversationId

          public void setConversationId(ItemId conversationId)

      Sets the conversation id.
      Parameters:
        `conversationId` - the new conversation id

    - #### getSyncState

          public java.lang.String getSyncState()

      Gets the sync state.
      Returns:
        the sync state

    - #### setSyncState

          public void setSyncState(java.lang.String syncState)

      Sets the sync state.
      Parameters:
        `syncState` - the new sync state